AI Model APIVideos
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.
Get Video Generation Task Status
Query the status and results of a video generation task.
Task Status:
queued: Queuedin_progress: In progresscompleted: Completedfailed: Failed
AuthorizationBearer <token>
Authenticate with a Bearer token.
Format: Authorization: Bearer sk-xxxxxx
In: header
Path Parameters
task_idstring
Task ID
Response Body
application/json
application/json
curl -X GET "https://api.beeaicloud.com/v1/video/generations/string"{
"task_id": "abcd1234efgh",
"status": "completed",
"url": "https://example.com/video.mp4",
"format": "mp4",
"metadata": {
"duration": 5,
"fps": 30,
"width": 1280,
"height": 720,
"seed": 20231234
},
"error": {
"code": 0,
"message": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}How is this guide?